Skip to content
GET/{organizationId}/{mandateId}/crm/contracts/statistics/contractCollectionTaskCounters

Gets counters for contract collection tasks

Required permissions:

  • mandate.read

  • contractCollection.read

Path Parameters

organizationIdstringrequired
mandateIdstringrequired

Authentication: X-API-Key

Request

GET/{organizationId}/{mandateId}/crm/contracts/statistics/contractCollectionTaskCounters
curl --request GET 'https://cloud.campai.com/api/{organizationId}/{mandateId}/crm/contracts/statistics/contractCollectionTaskCounters' \
  --header 'X-API-Key: YOUR_API_KEY'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

draftCollectionsCountintegerrequired

minimum: 0

maximum: 9007199254740991

draftCollectionsDueDatedate-time | nullrequired
collectionsPendingSendCountintegerrequired

minimum: 0

maximum: 9007199254740991

collectionsPendingSendDueDatedate-time | nullrequired
sepaCollectDueCollectionsCountintegerrequired

minimum: 0

maximum: 9007199254740991

sepaCollectDueCollectionsDueDatedate-time | nullrequired
sepaCollectOverdueCollectionsCountintegerrequired

minimum: 0

maximum: 9007199254740991

sepaCollectOverdueCollectionsDueDatedate-time | nullrequired

Response

200
{
  "draftCollectionsCount": 0,
  "draftCollectionsDueDate": "2026-06-15T22:30:00Z",
  "collectionsPendingSendCount": 0,
  "collectionsPendingSendDueDate": "2026-06-15T22:30:00Z",
  "sepaCollectDueCollectionsCount": 0,
  "sepaCollectDueCollectionsDueDate": "2026-06-15T22:30:00Z",
  "sepaCollectOverdueCollectionsCount": 0,
  "sepaCollectOverdueCollectionsDueDate": "2026-06-15T22:30:00Z"
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

404Not found

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

404
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}